import { BezierSegment, LineSegment, Vec2 } from './interfaces';

export type ToolType = 'line' | null;
export type SubToolType = 'line' | 'curve' | 'room';

export type BezierControl = [
  BezierSegment,
  'startControl' | 'endControl',
  Vec2
];
export type LineControl = [LineSegment, 'start' | 'end', Vec2];
